<template>
  <div class="flex flex-col">
    <h4 v-if="heading" class="mb-4">{{ heading }}</h4>
    <div class="flex flex-col items-start -my-1">
      <template v-for="(item, index) in checklistItems">
        <checklist-item :key="index" v-bind="item" class="my-1" />
      </template>
    </div>
  </div>
</template>

<script>
import ChecklistItem from './ChecklistItem';

export default {
  name: 'Checklist',
  components: {
    ChecklistItem,
  },
  props: {
    heading: { type: String, default: undefined },
    checklistItems: { type: Array, default: () => [] },
  },
};
</script>
